ClarisWksDatabase Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
ClarisWksDatabase Class Reference

the main class to read the text part of Claris Works file More...

`#include <ClarisWksDatabase.hxx>`

## Public Member Functions
| ClarisWksDatabase (ClarisWksDocument &document)
| constructor More...
virtual | ~ClarisWksDatabase ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...
shared_ptr< ClarisWksStruct::DSET > | readDatabaseZone (ClarisWksStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone Text DSET More...
bool | canSendDatabaseAsGraphic (int) const
| check if we can send a database as graphic More...
bool | sendDatabase (int number, MWAWListenerPtr listener)
| sends the zone data to the listener (if it exists ) More...

## Protected Member Functions
bool | readFields (ClarisWksDatabaseInternal::Database &dBase)
| try to read the database structure More...
bool | readDefaults (ClarisWksDatabaseInternal::Database &dBase)
| try to read the default structure More...
bool | readLayout (ClarisWksDatabaseInternal::Database &dBase)
| try to read the layout structures More...

## Protected Attributes
ClarisWksDocument & | m_document
| the document More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< ClarisWksDatabaseInternal::State > | m_state
| the state More...
MWAWParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| ClarisWksDatabase (ClarisWksDatabase const &orig)
ClarisWksDatabase & | operator= (ClarisWksDatabase const &orig)

## Friends
class | ClarisWksParser

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

## ◆ ClarisWksDatabase() [1/2]

ClarisWksDatabase::ClarisWksDatabase | ( | ClarisWksDocument & | document | ) |
| explicit

constructor

## ◆ ~ClarisWksDatabase()

ClarisWksDatabase::~ClarisWksDatabase | ( |  | ) |
| virtual

destructor

## ◆ ClarisWksDatabase() [2/2]

ClarisWksDatabase::ClarisWksDatabase | ( | ClarisWksDatabase const & | orig | ) |
| private

## Member Function Documentation

## ◆ canSendDatabaseAsGraphic()

bool ClarisWksDatabase::canSendDatabaseAsGraphic | ( | int |  | ) | const
| inline

check if we can send a database as graphic

## ◆ numPages()

int ClarisWksDatabase::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

ClarisWksDatabase& ClarisWksDatabase::operator= | ( | ClarisWksDatabase const & | orig | ) |
| private

## ◆ readDatabaseZone()

shared_ptr< ClarisWksStruct::DSET > ClarisWksDatabase::readDatabaseZone | ( | ClarisWksStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete
| ) |  |

reads the zone Text DSET

Referenced by numPages().

## ◆ readDefaults()

bool ClarisWksDatabase::readDefaults | ( | ClarisWksDatabaseInternal::Database & | dBase | ) |
| protected

try to read the default structure

Referenced by readDatabaseZone().

## ◆ readFields()

bool ClarisWksDatabase::readFields | ( | ClarisWksDatabaseInternal::Database & | dBase | ) |
| protected

try to read the database structure

find f1=600 for a number f16 = 0[checkbox, ... ], 2[number or text],3 [name field], 82[value list], f16 & 8: can not be empty

Referenced by readDatabaseZone().

## ◆ readLayout()

bool ClarisWksDatabase::readLayout | ( | ClarisWksDatabaseInternal::Database & | dBase | ) |
| protected

try to read the layout structures

Referenced by readDatabaseZone().

## ◆ sendDatabase()

bool ClarisWksDatabase::sendDatabase | ( | int | number,
|  | MWAWListenerPtr | listener
| ) |  |

sends the zone data to the listener (if it exists )

## ◆ version()

int ClarisWksDatabase::version | ( |  | ) | const

returns the file version

Referenced by readDatabaseZone(), readDefaults(), and readFields().

## Friends And Related Function Documentation

## ◆ ClarisWksParser

friend class ClarisWksParser
| friend

## Member Data Documentation

## ◆ m_document

ClarisWksDocument& ClarisWksDatabase::m_document
| protected

the document

Referenced by readDatabaseZone().

## ◆ m_mainParser

MWAWParser* ClarisWksDatabase::m_mainParser
| protected

the main parser;

## ◆ m_parserState

MWAWParserStatePtr ClarisWksDatabase::m_parserState
| protected

the parser state

Referenced by readDatabaseZone(), readDefaults(), readFields(), readLayout(), sendDatabase(), and version().

## ◆ m_state

shared_ptr<ClarisWksDatabaseInternal::State> ClarisWksDatabase::m_state
| protected

the state

Referenced by readDatabaseZone(), and sendDatabase().

The documentation for this class was generated from the following files:

- ClarisWksDatabase.hxx
- ClarisWksDatabase.cxx